apiVersion: apps/v1
kind: Deployment
metadata:
  name: aicss-s
  namespace: xpink
  labels:
    app: aicss-s
spec:
  replicas: 1
  selector:
    matchLabels:
      app: aicss-s
  template:
    metadata:
      labels:
        app: aicss-s
    spec:
      containers:
        - name: aicss-s
          image: 322814420330.dkr.ecr.ap-southeast-1.amazonaws.com/xpink/aicss_service:test
          imagePullPolicy: Always
          lifecycle:
            preStop:
              exec:
                command:
                  - /bin/sh
                  - -c
                  - sleep 15
          resources:
            limits:
              cpu: 1000m
              memory: 512Mi
            requests:
              cpu: 10m
              memory: 10Mi
          env:
            - name: IS_TEST
              value: "true"
      imagePullSecrets:
        - name: coding
